Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class PropertyApplyingTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.behaviors.PropertyApplyingTestCase

    public class PropertyApplyingTestCase

extends AbstractComponentFactoryTest

Author:
  Aslak Hellesøy, Mirko Novakovic

Nested Class Summary
`static class` | `PropertyApplyingTestCase.A`
`static class` | `PropertyApplyingTestCase.B`
`static class` | `PropertyApplyingTestCase.Failing`
`static class` | `PropertyApplyingTestCase.Foo`
`static class` | `PropertyApplyingTestCase.Primitives` Class that contains all types of Java primitives, to test if they are set correctly.

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`PropertyApplyingTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `testAllJavaPrimitiveAttributesShouldBeSetByTheAdapter()`
`void` | `testDelegateIsAccessible()`
`void` | `testFailingSetter()`
`void` | `testPropertiesSetAfterAdapterCreationShouldBeTakenIntoAccount()`
`void` | `testPropertiesTidiedUpAfterPicoUsage()`
`void` | `testPropertySetAfterAdapterCreationShouldBeTakenIntoAccount()`
`void` | `testPropertySetAfterWrappedAdapterCreationShouldBeTakenIntoAccount()`
`void` | `testSetBeanPropertiesWithInvalidValueTypes()`
`void` | `testSetBeanPropertiesWithValueObjects()`
`void` | `testSetBeanPropertiesWithWrongNumberOfParametersThrowsPicoInitializationException()` todo Is this test duplicated elsewhere? --MR
`void` | `testSetDependenComponentWillBeSetByTheAdapter()`
`void` | `testSetProperties()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp, testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyApplyingTestCase

    public PropertyApplyingTestCase()

Method Detail

### testSetProperties

    public void testSetProperties()

### testFailingSetter

    public void testFailingSetter()

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testPropertiesSetAfterAdapterCreationShouldBeTakenIntoAccount

    public void testPropertiesSetAfterAdapterCreationShouldBeTakenIntoAccount()

### testPropertySetAfterAdapterCreationShouldBeTakenIntoAccount

    public void testPropertySetAfterAdapterCreationShouldBeTakenIntoAccount()

### testPropertiesTidiedUpAfterPicoUsage

    public void testPropertiesTidiedUpAfterPicoUsage()

### testDelegateIsAccessible

    public void testDelegateIsAccessible()

### testAllJavaPrimitiveAttributesShouldBeSetByTheAdapter

    public void testAllJavaPrimitiveAttributesShouldBeSetByTheAdapter()
                                                               throws MalformedURLException

  Throws:
    `MalformedURLException`

### testSetDependenComponentWillBeSetByTheAdapter

    public void testSetDependenComponentWillBeSetByTheAdapter()

### testPropertySetAfterWrappedAdapterCreationShouldBeTakenIntoAccount

    public void testPropertySetAfterWrappedAdapterCreationShouldBeTakenIntoAccount()

### testSetBeanPropertiesWithValueObjects

    public void testSetBeanPropertiesWithValueObjects()

### testSetBeanPropertiesWithWrongNumberOfParametersThrowsPicoInitializationException

    public void testSetBeanPropertiesWithWrongNumberOfParametersThrowsPicoInitializationException()

  todo Is this test duplicated elsewhere? --MR

### testSetBeanPropertiesWithInvalidValueTypes

    public void testSetBeanPropertiesWithInvalidValueTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.